-- Adding new 'My' options on REDESIGN --
-- Inserting new Records for SITE_CNTNT_ID = 18 --

INSERT INTO [COWS].[dbo].[DSPL_VW]
           ([USER_ID],[DSPL_VW_NME],[SITE_CNTNT_ID],[SITE_CNTNT_COL_VW_CD],[DSPL_VW_DES],[DSPL_VW_WEB_ADR],[DFLT_VW_CD],[PBLC_VW_CD],[FILTR_COL_1_OPR_ID],[FILTR_COL_2_OPR_ID],[FILTR_COL_1_ID],[FILTR_COL_2_ID],[FILTR_COL_1_VALU_TXT],[FILTR_COL_2_VALU_TXT],[FILTR_ON_CD],[SORT_BY_COL_1_ID],[SORT_BY_COL_2_ID],[GRP_BY_COL_1_ID],[GRP_BY_COL_2_ID],[CREAT_BY_USER_ID],[MODFD_BY_USER_ID],[MODFD_DT],[CREAT_DT],[FILTR_LOGIC_OPR_ID],[SORT_BY_COL_1_ASC_ORDR_CD],[SORT_BY_COL_2_ASC_ORDR_CD],[SEQ_NBR],[DSPL_VW_ID])
                VALUES
           (1,'My In Process',18,'N','',NULL,'N','Y',' IN',NULL,127,NULL,' (221,222,223)',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',10,512),
           (1,'My Approved',18,'N','',NULL,'N','Y','=',NULL,127,NULL,'225',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',11,513),
           (1,'My Cancelled',18,'N','',NULL,'N','Y','=',NULL,127,NULL,'226',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',12,514),
           (1,'My Draft',18,'N','',NULL,'N','Y','=',NULL,127,NULL,'220',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',13,515),
           (1,'My Pending',18,'N','',NULL,'N','Y',' IN',NULL,127,NULL,'(223)',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',14,516),
           (1,'My Reviewing',18,'N','',NULL,'N','Y','=',NULL,127,NULL,'222',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',15,517),
           (1,'My Submitted',18,'N','',NULL,'N','Y','=',NULL,127,NULL,'221',NULL,'Y',121,NULL,NULL,NULL,1,1,CAST(GETDATE() as SMALLDATETIME),CAST(GETDATE() as SMALLDATETIME),'OR','N','N',16,518)
GO

-- Update the sequence numbers for SITE_CNTNT_ID = 18 --

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 17
where SITE_CNTNT_ID = 18 and SEQ_NBR = 1

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 18
where SITE_CNTNT_ID = 18 and SEQ_NBR = 2

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 19
where SITE_CNTNT_ID = 18 and SEQ_NBR = 3

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 20
where SITE_CNTNT_ID = 18 and SEQ_NBR = 5

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 21
where SITE_CNTNT_ID = 18 and SEQ_NBR = 6

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 22
where SITE_CNTNT_ID = 18 and SEQ_NBR = 8

Update [COWS].[dbo].[DSPL_VW]
Set SEQ_NBR = 23
where SITE_CNTNT_ID = 18 and SEQ_NBR = 9

-- Inserting new records based on new records inserted into DSPL_VW table using DSPL_VW_ID column --

Insert into dbo.DSPL_VW_COL
(DSPL_VW_ID, DSPL_COL_ID, DSPL_POS_FROM_LEFT_NBR, CREAT_DT)
(SELECT 512, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 500
UNION
SELECT 513, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 501
UNION
SELECT 514, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 502
UNION
SELECT 515, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 504
UNION
SELECT 516, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 505
UNION
SELECT 517, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 507
UNION
SELECT 518, DSPL_COL_ID
      ,DSPL_POS_FROM_LEFT_NBR
      ,CAST(GETDATE() as SMALLDATETIME) FROM dbo.DSPL_VW_COL
where DSPL_VW_ID = 508)



